# $Revision: 1.21 $, $Date: 2008-03-05 14:45:58 $
%define		mod_name	jk
%define		apxs		/usr/sbin/apxs1
Summary:	Apache module that handles communication between Tomcat and Apache 1.3.x
Summary(pl.UTF-8):	Moduł Apache'a obsługujący komunikację między Tomcatem a Apachem 1.3.x
Name:		apache1-mod_%{mod_name}
Version:	1.2.25
Release:	2
License:	Apache v2.0
Group:		Networking/Daemons
Source0:	http://www.apache.org/dist/tomcat/tomcat-connectors/jk/source/tomcat-connectors-%{version}-src.tar.gz
# Source0-md5:	4f614130c85f86d8d3359a03230db8a3
Source1:	%{name}.conf
URL:		http://jakarta.apache.org/builds/jakarta-tomcat-connectors/jk/doc/
BuildRequires:	apache1-devel >= 1.3.39
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	jpackage-utils
BuildRequires:	libtool
BuildRequires:	perl-base
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	apache1(EAPI)
Requires:	apache1-mod_dir >= 1.3.33-2
Obsoletes:	jakarta-tomcat-connectors-jk
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
JK is a replacement to the elderly mod_jserv. It was a completely new
Tomcat-Apache plug-in that handles the communication between Tomcat
and Apache.

%description -l pl.UTF-8
JK jest zamiennikiem starego mod_jserv. Jest całkowicie nową wtyczką
Tomcat-Apache obsługującą komunikację między Tomcatem a Apachem.

%prep
%setup -q -n tomcat-connectors-%{version}-src

%build
cd native
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--enable-EAPI \
	--with-apxs=%{apxs} \
	--with-java-home="%{java_home}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d,/var/{lock/mod_jk,log/apache}}

install native/apache-1.3/mod_%{mod_name}.so.0.0.0 $RPM_BUILD_ROOT%{_pkglibdir}/mod_%{mod_name}.so
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf
touch $RPM_BUILD_ROOT/var/log/apache/mod_jk.log

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /var/log/apache/mod_jk.log ]; then
	umask 027
	touch /var/log/apache/mod_jk.log
	chown root:logs /var/log/apache/mod_jk.log
fi
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%files
%defattr(644,root,root,755)
%doc native/{CHANGES,README} docs/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*
%attr(770,root,http) /var/lock/mod_jk
%attr(640,root,logs) %ghost /var/log/apache/mod_jk.log

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_jk.spec,v $
Revision 1.21  2008-03-05 14:45:58  glen
- use apache1(EAPI) for runtime dep

Revision 1.20  2007-12-08 18:39:05  glen
- update build and logfile from apache-mod_jk.spec

Revision 1.19  2007-11-04 19:18:49  glen
- apxs1 in apache1-devel now

Revision 1.18  2007/09/10 11:47:30  areq
- 1.2.25

Revision 1.17  2007/06/07 11:10:27  shadzik
- BR s@%{apxs}@apache1-apxs@g

Revision 1.16  2007/06/03 18:16:04  areq
- 1.2.23

Revision 1.15  2007/03/05 19:46:07  areq
- 1.2.21

Revision 1.14  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:48:37  baggins
- converted to UTF-8

Revision 1.12  2006/09/10 19:49:54  areq
- Requires:     apache1-mod_dir

Revision 1.11  2006/09/10 19:41:58  areq
- 1.2.18

Revision 1.10  2006/04/14 16:50:13  glen
- use %service

Revision 1.9  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.8  2005/02/16 18:18:32  glen
- restart apache in %postun rather in %preun
- remove unneeded post,preun deps

Revision 1.7  2005/02/10 18:04:01  glen
- confdir enabled apache1 (no triggers as it wasn't on ftp)
- unification; cosmetics

Revision 1.6  2004/12/28 16:37:25  areq
- 1.2.8

Revision 1.5  2004/09/24 13:43:54  areq
- 1.2.6

Revision 1.4  2004/05/17 14:56:40  areq
- cvs snap 20040516

Revision 1.3  2004/05/14 20:03:22  ankry
- spaces -> tabs

Revision 1.2  2004/05/14 19:46:41  mkierus
- added jakarta-tomcat-connectors-jk-jkpass.patch

Revision 1.1  2004/04/21 13:07:20  areq
- based on apache-mod_jk.spec only for apache1
